<VirtualHost *:443>
  ServerName gitlab.chez-wam.info
  ProxyPreserveHost On
  ProxyRequests Off
  SSLProxyEngine on
  SSLEngine on
  SSLHonorCipherOrder on
  <Location />
    RequestHeader unset Accept-Encoding
    RequestHeader set Host "gitlab.chez-wam.info"
    RequestHeader add X-Forwarded-Ssl on
    RequestHeader set X-Forwarded-Proto "https"
    ProxyPass http://gitlab.home.chez-wam.info:7080/
    ProxyPassReverse http://gitlab.home.chez-wam.info:7080/
    Order allow,deny
    Allow from all
  </Location>
</VirtualHost>